#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Curses
%define		pnam	Curses
Summary:	Curses - terminal screen handling and optimization
Summary(pl.UTF-8):	Curses - obsługa i optymalizacja ekranu terminala
Name:		perl-Curses
Version:	1.28
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tgz
# Source0-md5:	ed9f7ddf2d90f4266da91c3dc9fad9c9
URL:		http://search.cpan.org/dist/Curses/
BuildRequires:	ncurses-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Curses" is the interface between Perl and your system's curses(3)
library.

%description -l pl.UTF-8
Curses to interfejs między Perlem a systemową biblioteką curses(3).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Curses

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Curses/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorlib}/Curses
%dir %{perl_vendorarch}/auto/Curses
%attr(755,root,root) %{perl_vendorarch}/auto/Curses/Curses.so
%{perl_vendorarch}/auto/Curses/Curses.bs
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Curses.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f5fe110
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 462dcad
- up to 1.28

* Mon Oct 10 2011 lisu <lisu@pld-linux.org> 9f95071
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> dab908e
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 107f578
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> c39451e
- updated to 1.27

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 25cd92c
- release 2

* Tue Jan 06 2009 duddits <duddits@pld-linux.org> 13bb605
- up to 1.26

* Tue Dec 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ff0f06
- up to 1.24

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 73eea62
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 5662a1c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 20bd615
- up to 1.20

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 45cfaca
- up to 1.15, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a9a3469
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 773b54d
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 60d10f4
- generic URL

* Sun Jul 09 2006 Maciej Pijanka <agaran@pld-linux.org> 92007ec
- up to 1.14, rel1, builds here

* Sat Nov 26 2005 Karol Krenski <charles@pld-linux.org> c361702
- updated to 1.13

* Tue Jun 14 2005 petec <petec@pld-linux.org> a1ffdef
- up to 1.12
- fixed %setup

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> c47b62c
- updated to 1.08b

